Loading...
Searching...
No Matches
Magick::PathCurvetoRel Class Reference
Inheritance diagram for Magick::PathCurvetoRel:

## Public Member Functions

| PathCurvetoRel (const PathCurvetoArgs &args_)
| PathCurvetoRel (const PathCurveToArgsList &args_)
| PathCurvetoRel (const PathCurvetoRel &original_)
void | operator() (MagickCore::DrawingWand *context_) const
VPathBase * | copy () const

## Private Attributes

PathCurveToArgsList | _args

## Detailed Description

Definition at line 2666 of file Drawable.h.

## Constructor & Destructor Documentation

## PathCurvetoRel() [1/3]

Magick::PathCurvetoRel::PathCurvetoRel | ( | const PathCurvetoArgs & | args_ | ) |

Definition at line 2010 of file Drawable.cpp.

: _args(1,args_)
{
}

## PathCurvetoRel() [2/3]

Magick::PathCurvetoRel::PathCurvetoRel | ( | const PathCurveToArgsList & | args_ | ) |

Definition at line 2014 of file Drawable.cpp.

: _args(args_)
{
}

## PathCurvetoRel() [3/3]

Magick::PathCurvetoRel::PathCurvetoRel | ( | const PathCurvetoRel & | original_ | ) |

Definition at line 2018 of file Drawable.cpp.

: VPathBase (original_),
_args(original_._args)
{
}

## ~PathCurvetoRel()

Magick::PathCurvetoRel::~PathCurvetoRel | ( | void |  | ) |

Definition at line 2024 of file Drawable.cpp.

{
}

## Member Function Documentation

## copy()

Magick::VPathBase * Magick::PathCurvetoRel::copy | ( |  | ) | const

virtual

Implements Magick::VPathBase.

Definition at line 2037 of file Drawable.cpp.

{
return new PathCurvetoRel(*this);
}

## operator()()

void Magick::PathCurvetoRel::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Implements Magick::VPathBase.

Definition at line 2027 of file Drawable.cpp.

{
for( PathCurveToArgsList::const_iterator p = _args.begin();
p != _args.end(); p++ )
{
DrawPathCurveToRelative( context_, p->x1(), p->y1(), p->x2(), p->y2(),
p->x(), p->y() );
}
}

## Field Documentation

## _args

PathCurveToArgsList Magick::PathCurvetoRel::_args

private

Definition at line 2687 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp